:root{
    --space-between: 1.6rem;
    --root-bg-color:rgb(41,39,39);
    --root-fg-color:white;
    --root-shadow-color:oklch(from var(--root-bg-color) calc(l + 0.4) c h);
    --primary-bg-color:oklch(from var(--root-bg-color) l c h);/*meme couleur que root*/
    --primary-fg-color:oklch(from var(--root-fg-color) l c h);/*meme couleur que root*/
    --primary-shadow-color:oklch(from var(--root-shadow-color) l c h);/*meme couleur que root*/

}
html{
     /*background-image:url('/images/file_6cbd83e9-e712-4f52-981e-4d91d3746438.jpeg'); 
    background-size:100% auto;*/
    background-color: var(--primary-bg-color)

}
*{
    margin:0;
    padding:0;

}

body{
    backdrop-filter: blur(105px);
    min-height:100vh;
    border:1px solid transparent;
    box-sizing:border-box;
    padding:0.5em;
    
   
}
.container{
    position:relative;
    width:100%;
    /* height:100vh; */
    /* display:grid; */
    columns:5;

    /* grid-template-columns:repeat(3,1fr); */
    /* justify-content:space-around; */
    /* grid-auto-flow: row; */
    gap:var(--space-between);
    /*h2{
        color:white;
        column-span: all;
        text-align:center;
        padding:var(--space-between);
    }*/
    .hidden{
        display: none;
    }
    
}
@media (max-width:1100px){
    .container{
        columns:4;
    }
}
@media (max-width:500px){
    .container{
        columns:3;
    }
}
picture{
    /*break-inside: avoid;*/
    width:100%;
    /* height:fit-content; */
    /* margin-bottom: 20px; */
    /* transform:scale(1,1); */
    /* transform-origin:center center; */
    /* transition:transform 1s ease 0.2s; */
    /* border-radius:10px; */
}
.id-image{
    position:absolute;
    color:rgb(0,0,0);
    /*background-color: rgba(75, 123, 151, 0.5);*/
    padding:0.3rem;
    margin:0.2rem;
    border-radius:1rem;
    font-size:1rem;
    top:0;
    left:0;
}
.container img{
    display:block;
    width:100%;
    height:auto;
    /*margin-bottom:var(--space-between);*/
    margin-bottom:0.5rem;
    border-radius:10px;
    box-shadow: 3px 3px 5px var(--primary-shadow-color);
}
.sub-container{
    width:100%;
    break-inside:avoid;
    width:100%;
    position:relative;
}
.main-title{
    display:flex;
    margin:auto;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width:100%;
    /* background-color:rgb(0, 0, 0); */
    background-color: oklch(from var(--primary-bg-color) calc(l - 0.1) c h);
    box-shadow: 3px 3px 5px var(--primary-shadow-color);
    border-radius:15px;
    margin-bottom:1rem;
    img{
        width:100%;
    }
    .social-img{
        width:1rem;
        height:auto;
        margin-left: 1rem;
        translate: 0 25%;
    }
    div{
        margin:0.7rem;
        color:white;
        font-size:1.4em;

    }
    .coordinates{
        font-size:0.8rem;
        margin-top: 0;
    }

}
#logo{
    width:70px;
    box-shadow: none;
    filter: invert();
    margin:auto;
    display:block;
    /* transform:translateY(10px); */
}
.modal{
    position:fixed;
    anchor-name:--modal-anchor;
    top:2vh;
    height:95vh;
    width:fit-content;
    margin:auto;
    border-radius: 16px;
    border:none;
    box-shadow: 5px 5px 5px var(--primary-shadow-color);
    &::backdrop{
        background:oklch(from var(--primary-bg-color) calc(l + 0.2) c h/0.5);
        backdrop-filter: blur(5px);
    }
    img{
        display:block;
        height:100%;
        width:auto;
        margin:0;
    }
    div{
        position:absolute;
        padding:0.4rem;
        margin:0.5rem;
        color:black;
        /*background-color: rgba(75, 123, 151, 0.5);*/
        font-size:1.5rem;
        font-weight:bold ;
        border-radius:50%;
        left:0;
        top:0;
    }
    button{
        /*position:fixed;*/
        position:absolute;
        /*position-anchor: --modal-anchor;
        top:anchor(top);
        right:anchor(right);*/
        top:0;
        right:0;
        /*color:var(--primary-fg-color);*/
        color:rgb(240, 233, 233);
        width:2rem;
        height:2rem;
        font-size: 1rem;
        font-weight:bold;
        border-radius:20%;
        outline:none;
        margin:0.5rem;
        background-color: oklch(from var(--primary-bg-color) l c h/0.5);
        border:0;
        box-shadow: 3px 3px 5px var(--primary-shadow-color);
        padding:0.1rem;
    }
}
list-tags{
    display:block;
    margin:1rem 0;
}